from typing import Sequence, Union

from . import ssh, x25519

Identity = Union[ssh.Identity, x25519.Identity]
Recipient = Union[ssh.Recipient, x25519.Recipient]

def encrypt(plaintext: bytes, recipients: Sequence[Recipient]) -> bytes: ...
def encrypt_file(infile: str, outfile: str, recipients: Sequence[Recipient]) -> None: ...
def decrypt(ciphertext: bytes, identities: Sequence[Identity]) -> bytes: ...
def decrypt_file(infile: str, outfile: str, identities: Sequence[Identity]) -> None: ...
